Neurotic Programmer Masquerade

    This package has been deprecated

    Author message:

    no longer maintained - consider using eslint-config-notninja

    eslint-config-skelp

    0.2.0 • Public • Published

    eslint-config-skelp

    eslint-config-skelp contains standard ESLint configurations for Skelp packages.

    License Release

    Important! This package is deprecated and no longer maintained. You may want to consider using the !ninja configuration or any other ESLint configuration.

    Install

    Install using npm:

    $ npm install --save-dev eslint-config-skelp

    You'll need to have at least Node.js installed.

    Configuration

    Create an ESLint configuration file within your package that extends this configuration:

    {
      "extends": "skelp",
      ...
    }

    This will import the ECMAScript 5 configuration by default. This can also be done by extending "skelp/es5". For ECMAScript 6 packages, please extend "skelp/es6" instead.

    For compatibility with ESLint version 2, extend either "skelp/v2/es5" for ECMAScript 5 or "skelp/v2/es6" for EMCAScript 6.

    License

    See LICENSE.md for more information on our MIT license.

    Keywords

    Install

    npm i eslint-config-skelp

    DownloadsWeekly Downloads

    0

    Version

    0.2.0

    License

    MIT

    Last publish

    Collaborators

    • neocotic